Skip to main content
GET
Get a Reddit post (live)

Authorizations

Authorization
string
header
required

XPOZ API access key, created from the dashboard or POST /api/tokens. Send as Authorization: Bearer <access key>.

Path Parameters

id
string
required

Reddit post ID.

Query Parameters

fields
enum<string>[]

Reddit post fields to return. Comma-separated. Allowed values: id, title, selftext, url, permalink, postUrl, thumbnail, authorId, authorUsername, subredditName, subredditId, score, upvotes, downvotes, upvoteRatio, commentsCount, crosspostsCount, isSelf, isVideo, isOriginalContent, over18, spoiler, locked, stickied, archived, linkFlairText, postHint, domain, crosspostParent, createdAt, createdAtTimestamp, createdAtDate, selftextHtml, editedAt, removal.

Available options:
id,
title,
selftext,
url,
permalink,
postUrl,
thumbnail,
authorId,
authorUsername,
subredditName,
subredditId,
score,
upvotes,
downvotes,
upvoteRatio,
commentsCount,
crosspostsCount,
isSelf,
isVideo,
isOriginalContent,
over18,
spoiler,
locked,
stickied,
archived,
linkFlairText,
postHint,
domain,
crosspostParent,
createdAt,
createdAtTimestamp,
createdAtDate,
selftextHtml,
editedAt,
removal

Response

One page of results.

Envelope for on-demand /live endpoints: one provider page plus a cursor.

results
object[]
required
count
integer
required
dataSource
enum<string>
required

Where the results came from.

Available options:
database,
api,
hybrid
has_more
boolean
required
next_page_cursor
string | null
required